Ruby - Bug #3975

German Umlaut in environment variable breaks usage of FileUtils
10/22/2010 10:01 PM - bugmenot (bugmenot bugmenot)

Status: Rejected
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 1.9.2p0 (2010-08-18) Backport:
[(386-mingw32]

Description
=begin
Hi,

when having a german Umlaut (A, U, O, ?) in an environment variable, the usage of FileUtils seems to break, because it can't handle
the conversion to UTF-8.

Example:
ENV['USERPROFILE' is "C:\Users\Name("

Using:
path = ENV['USERPROFILE"]
FileUtils.cp_r "#{path}/blah/" "#{path}/blah2"

results in "fileutils.rb:1247:in mkdir "\x81" to UTF-8 in conversion from Windows-1525 to UTF-8

(Encoding::UndefinedConversionError)" because the "0" can't be converted.
=end

History

#1 - 10/23/2010 10:22 PM - naruse (Yui NARUSE)

- Priority changed from 5 to Normal

=begin

=end

#2 - 10/23/2010 10:34 PM - naruse (Yui NARUSE)
- Status changed from Open to Feedback

=begin

The error message:

"fileutils.rb:1247:in mkdir "x81" to UTF-8 in conversion from Windows-1525 to UTF-8 (Encoding::UndefinedConversionError)"
is strange; we didn't support the encoding named Windows-1525.

=end

#3 - 06/26/2011 03:52 PM - naruse (Yui NARUSE)
- Status changed from Feedback to Rejected

| close this as Rejected since no feedback provided.
Please reopen this if it still happens on the latest version of ruby.
